## org.apache.mahout.cf.taste.hadoop
Class RecommendedItemsWritable

    java.lang.Object
      org.apache.mahout.cf.taste.hadoop.RecommendedItemsWritable

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public final class RecommendedItemsWritable

extends Object
implements org.apache.hadoop.io.Writable

A `Writable` which encapsulates a list of `RecommendedItem`s. This is the mapper (and reducer) output, and represents items recommended to a user. The first item is the one whose estimated preference is highest.

Constructor Summary
`RecommendedItemsWritable()`
`RecommendedItemsWritable(List<RecommendedItem> recommended)`

Method Summary
`List<RecommendedItem>` `getRecommendedItems()`
`void` `readFields(DataInput in)`
`void` `set(List<RecommendedItem> recommended)`
`String` `toString()`
`void` `write(DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecommendedItemsWritable

    public RecommendedItemsWritable()

### RecommendedItemsWritable

    public RecommendedItemsWritable(List<RecommendedItem> recommended)

Method Detail

### getRecommendedItems

    public List<RecommendedItem> getRecommendedItems()

### set

    public void set(List<RecommendedItem> recommended)

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.